package com.fr.plugin.db.redis.bean;

import com.fanruan.api.cal.ParameterKit;
import com.fanruan.api.util.GeneralKit;
import com.fanruan.api.util.StringKit;
import com.fr.general.GeneralUtils;
import com.fr.stable.ParameterProvider;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Elijah
 * @version 10.0.4
 * Created by Elijah on 2019/10/30
 */
public class ParameterBean {
    public static final String TYPE = "type";
    public static final String NAME = "name";
    public static final String VALUE = "value";

    private String type = ParameterKit.Type.TYPE_STRING;
    private String name;
    private String value;

    public ParameterBean() {
    }

    public ParameterBean(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public ParameterBean(String type, String name, String value) {
        this.type = type;
        this.name = name;
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static ParameterBean createBean(ParameterProvider parameterProvider) {
        if (parameterProvider.getValue() != null) {
            return new ParameterBean(parameterProvider.getValue().getClass().getSimpleName(), parameterProvider.getName(), GeneralKit.objectToString(parameterProvider.getValue()));
        } else {
            return new ParameterBean(String.class.getSimpleName(), parameterProvider.getName(), StringKit.EMPTY);
        }
    }

    public static List<ParameterBean> createParameterBeans(ParameterProvider[] parameterProviders) {
        List<ParameterBean> parameterBeans = new ArrayList<ParameterBean>();
        for (ParameterProvider parameterProvider : parameterProviders) {
            parameterBeans.add(ParameterBean.createBean(parameterProvider));
        }
        return parameterBeans;
    }
}