package com.fr.plugin.db.redis.core.accessor;

import redis.clients.jedis.Tuple;

import java.io.Closeable;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-09-18
 */
public interface EmbedRedis extends Closeable {

    Set<String> keys(String pattern);

    String get(String key);

    String hget(String key, String field);

    List<String> hmget(String key, String... fields);

    Map<String, String> hgetAll(String key);

    Set<String> hkeys(String key);

    List<String> lrange(String key, long start, long end);

    List<String> mget(String... keys);

    Set<String> smembers(String key);

    Set<Tuple> zrangeWithScores(final String key, final long start, final long end);

    void select(int index);

    String ping();
}
