package com.fr.plugin.db.redis.core.accessor.category;

import com.fr.plugin.db.redis.core.accessor.EmbedRedis;
import redis.clients.jedis.Jedis;
import redis.clients.jedis.Tuple;

import java.io.IOException;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-09-18
 */
public class StandaloneRedisClient implements EmbedRedis {

    private Jedis jedis;

    public StandaloneRedisClient(Jedis jedis) {
        this.jedis = jedis;
    }

    @Override
    public Set<String> keys(String pattern) {
        return jedis.keys(pattern);
    }

    @Override
    public String get(String key) {
        return jedis.get(key);
    }

    @Override
    public String hget(String key, String field) {
        return jedis.hget(key, field);
    }

    @Override
    public List<String> hmget(String key, String... fields) {
        return jedis.hmget(key, fields);
    }

    @Override
    public Map<String, String> hgetAll(String key) {
        return jedis.hgetAll(key);
    }

    @Override
    public Set<String> hkeys(String key) {
        return jedis.hkeys(key);
    }

    @Override
    public List<String> lrange(String key, long start, long end) {
        return jedis.lrange(key, start, end);
    }

    @Override
    public List<String> mget(String... keys) {
        return jedis.mget(keys);
    }

    @Override
    public Set<String> smembers(String key) {
        return jedis.smembers(key);
    }

    @Override
    public Set<Tuple> zrangeWithScores(String key, long start, long end) {
        return jedis.zrangeWithScores(key, start, end);
    }

    @Override
    public void select(int index) {
        jedis.select(index);
    }

    @Override
    public String ping() {
        return jedis.ping();
    }

    @Override
    public void close() throws IOException {
        jedis.close();
    }
}
