package com.fr.plugin.db.redis.core.emb.impl;

import com.fanruan.api.log.LogKit;
import com.fr.plugin.db.redis.core.accessor.EmbedRedis;
import com.fr.plugin.db.redis.core.emb.Redis;
import com.jcraft.jsch.Session;

import java.io.IOException;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-03-21
 */
public class ProxyRedis implements Redis {

    private Session session;
    private EmbedRedis redis;

    public ProxyRedis(Session session, EmbedRedis redis) {
        this.session = session;
        this.redis = redis;
    }

    @Override
    public EmbedRedis getClient() {
        return redis;
    }

    @Override
    public void close() {
        try {
            redis.close();
        } catch (IOException e) {
            LogKit.error(e.getMessage(), e);
        }
        session.disconnect();
    }
}
