package com.fr.plugin.db.redis.core.order;

import com.fanruan.api.conf.BaseUniqueKey;
import com.fanruan.api.util.GeneralKit;
import com.fr.stable.ParameterProvider;
import com.fr.stable.script.CalculatorProvider;
import com.fr.stable.xml.XMLPrintWriter;
import com.fr.stable.xml.XMLable;
import com.fr.stable.xml.XMLableReader;

public abstract class OrderValue extends BaseUniqueKey implements XMLable {

    private static final long serialVersionUID = -5421898153556627638L;

    public static final String XML_TAG = "OrderValue";

    public abstract Object getValue();

    public abstract int toIndex(CalculatorProvider cal, ParameterProvider[] ps);

    public ParameterProvider[] analyze4Parameters() {
        return new ParameterProvider[0];
    }

    @Override
    public void readXML(XMLableReader reader) {
        if (reader.isChildNode()) {
            String tagName = reader.getTagName();
            if ("Attr".equals(tagName)) {
                readValue(reader);
            }
        }
    }

    @Override
    public void writeXML(XMLPrintWriter writer) {
        writer.startTAG("Attr");
        writer.attr("value", GeneralKit.objectToString(getValue()));
        writer.end();
    }

    public abstract void readValue(XMLableReader reader);

    @Override
    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}
