import { RedisShow } from './modules/app.show';
import { RedisEdit } from './modules/app.edit';
import { RedisDataset } from './modules/app.dataset';
import { RedisProgram } from './modules/app.program';

BI.DOM.ready(() => {
    BI.config('dec.connection.provider.datebase', provider => {
        provider.registerDatabaseType({
            text: 'Redis',
            databaseType: 'Redis',
            iconUrl: 'com/fr/plugin/db/redis/images/redis.jpg',
            edit: RedisEdit.xtype,
            show: RedisShow.xtype,
        });
    });

    BI.config('dec.provider.data.set', provider => {
        provider.registerDataSetType({
            value: 'Redis',
            text: 'Redis数据集',
            cardType: RedisDataset.xtype,
        });
    });

    BI.config('dec.provider.data.set', provider => {
        provider.registerDataSetType({
            value: 'RedisScript',
            text: 'Redis程序数据集',
            cardType: RedisProgram.xtype,
        });
    });
});
