import { shortcut, store } from '@core/core';
import { PreviewModel } from './preview.model';

@shortcut()
@store(PreviewModel)
export class Preview extends BI.Widget {
    static xtype = 'plugin.report.redis.components.preview'
    
    store: PreviewModel['store']
    model: PreviewModel['model']

    previewPane: any

    props = {
        previewedDataSet: {},
    }

    render() {
        this.store.setPreviewedDataSet(this.options.previewedDataSet);
        
        return {
            type: 'dec.data.set.preview',
            ref: (_ref: any) => {
                this.previewPane = _ref;
            },
        };
    }
    created() {
        this.previewPane.previewData();
    }
}
